#include "krb_locl.h"

RCSID("$Id: encrypt_ktext.c,v 1.1 1996/05/15 03:39:39 joda Exp $");

void
encrypt_ktext(KTEXT cip, des_cblock *key, int encrypt)
{
    des_key_schedule schedule;
    des_set_key(key, schedule);
    des_pcbc_encrypt((des_cblock*)cip->dat, (des_cblock*)cip->dat, 
		     cip->length, schedule, key, encrypt);
    memset(schedule, 0, sizeof(des_key_schedule));
}
